<?php
/**
 * ST_Ielts_Lms_Ajax
 *
 * @package ST_Ielts_lms
 * @since   1.0.0
 */

defined( 'ABSPATH' ) || exit;

/**
 * Class Ielts_Lms_Post_Permalinks
 */
class ST_ProQyz_Public_RestApi {

    /**
     * Ielts_Lms_Post_Permalinks version.
     *
     * @var string
     */
    public $version = '1.0.0';

    protected static $_instance = null;

    /**
     * Main Ielts_Lms_Post_Permalinks Instance.
     *
     * Ensures only one instance of Ielts_Lms_Post_Permalinks is loaded or can be loaded.
     *
     * @since 1.0
     * @static
     * @return Ielts_Lms_Post_Permalinks - Main instance.
     */
    public static function instance() {
        if ( is_null( self::$_instance ) ) {
            self::$_instance = new self();
        }
        return self::$_instance;
    }

    /**
     * Constructor method to initialize the plugin.
     */
    public function __construct() {
        $this->includes();
    }

    public function includes(){
        include_once 'restApi/class-writing-ai-evaluation.php';
        include_once 'restApi/class-speaking-ai-evaluation.php';
        include_once 'restApi/class-st-proqyz-activity-rest.php';
    }
}

// Instantiate the plugin class
return ST_ProQyz_Public_RestApi::instance();
